Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util
Class GUtil

    java.lang.Object
      org.gradle.util.GUtil

    class GUtil
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`GUtil()`

Method Summary
`static java.util.List` | `addLists(java.lang.Iterable lists)`
`static java.util.Map` | `addMaps(java.util.Map map1, java.util.Map map2)`
`static java.util.Set` | `addSets(java.lang.Iterable sets)`
`static java.util.Collection` | `addToCollection(java.util.Collection dest, java.lang.Iterable srcs)`
`static java.util.List` | `chooseCollection(java.util.List taskCollection, java.util.List conventionCollection)`
`static T` | `elvis(T object, T defaultValue)`
`static java.util.List` | `flatten(java.lang.Object[] elements, java.util.List addTo, boolean flattenMaps)`
`static java.util.List` | `flatten(java.lang.Object[] elements, java.util.List addTo)`
`static java.util.List` | `flatten(java.util.Collection elements, java.util.List addTo)`
`static java.util.List` | `flatten(java.util.Collection elements, java.util.List addTo, boolean flattenMaps)`
`static java.util.List` | `flatten(java.util.Collection elements, boolean flattenMaps)`
`static java.util.List` | `flatten(java.util.Collection elements)`
`static boolean` | `isTrue(java.lang.Object object)`
`static java.lang.String` | `join(java.util.Collection self, java.lang.String separator)`
`static java.lang.String` | `join(java.lang.Object[] self, java.lang.String separator)`
`static java.util.Properties` | `loadProperties(java.io.File propertyFile)`
`static java.util.Properties` | `loadProperties(java.io.InputStream inputStream)`
`static java.util.Map` | `map(java.lang.Object objects)`
`static void` | `saveProperties(java.util.Properties properties, java.io.File propertyFile)`
`static java.util.List` | `stringifieAsList(java.lang.Iterable iterable)`
`static java.util.Set` | `stringifyAsSet(java.lang.Iterable iterable)`
`static java.lang.String` | `toString(java.lang.Iterable names)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### GUtil

    GUtil()

Method Detail

### addLists

    public static java.util.List addLists(java.lang.Iterable lists)

### addMaps

    public static java.util.Map addMaps(java.util.Map map1, java.util.Map map2)

### addSets

    public static java.util.Set addSets(java.lang.Iterable sets)

### addToCollection

    public static java.util.Collection addToCollection(java.util.Collection dest, java.lang.Iterable srcs)

### chooseCollection

    public static java.util.List chooseCollection(java.util.List taskCollection, java.util.List conventionCollection)

### elvis

    public static T elvis(T object, T defaultValue)

### flatten

    public static java.util.List flatten(java.lang.Object[] elements, java.util.List addTo, boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.lang.Object[] elements, java.util.List addTo)

### flatten

    public static java.util.List flatten(java.util.Collection elements, java.util.List addTo)

### flatten

    public static java.util.List flatten(java.util.Collection elements, java.util.List addTo, boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.util.Collection elements, boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.util.Collection elements)

### isTrue

    public static boolean isTrue(java.lang.Object object)

### join

    public static java.lang.String join(java.util.Collection self, java.lang.String separator)

### join

    public static java.lang.String join(java.lang.Object[] self, java.lang.String separator)

### loadProperties

    public static java.util.Properties loadProperties(java.io.File propertyFile)

### loadProperties

    public static java.util.Properties loadProperties(java.io.InputStream inputStream)

### map

    public static java.util.Map map(java.lang.Object objects)

### saveProperties

    public static void saveProperties(java.util.Properties properties, java.io.File propertyFile)

### stringifieAsList

    public static java.util.List stringifieAsList(java.lang.Iterable iterable)

### stringifyAsSet

    public static java.util.Set stringifyAsSet(java.lang.Iterable iterable)

### toString

    public static java.lang.String toString(java.lang.Iterable names)

Groovy Documentation